Subject: bug#66782: 29.1; ERT tests report test redefined depending on loading sequence

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Oct 2023 15:03:47 +0300

> From: Xiyue Deng <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 28 Oct 2023 04:50:37 -0700
> 
> P.S. I also thought of another potential counter-example of preferring
> running one test file over running many in one batch: the tests within
> the same test file may also leave garbage for the rest of the tests

We could reasonably expect from the author of a single .el test file
to make sure the tests in that file don't interfere with one another
and make the necessary cleanups for that purpose.  But it is much
harder to expect the same from several disparate test files, which can
quite frequently be written and maintained by different people.